﻿#language: ru
@integration

Функционал: 13_integration. Проверка формирования объекта к выгрузке в е4ф

Сценарий: 13_integration. Создание документа перемещения
	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Производство' 'Распоряжения на перемещение'
	Тогда открылось окно 'Распоряжения на перемещение'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Распоряжение на перемещение (создание)'
	И я нажимаю кнопку выбора у поля с именем "СкладОтправитель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'            |
		| 'Склад готовой продукции' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Распоряжение на перемещение (создание) *'
	И я нажимаю кнопку выбора у поля с именем "СкладПолучатель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'              |
		| 'Склад коммерческой службы' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Распоряжение на перемещение (создание) *'
	И из выпадающего списка с именем "Статус" я выбираю точное значение 'Выполнено'
	И я перехожу к закладке с именем "СтраницаФакт"
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита с именем "ТоварыНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Артикул' | 'Вид'          | 'Ед.' | 'Код'         | 'Наименование'          | 'Наименование для печати' |
		| '330520'  | 'interg_Сырье' | 'шт'  | '00-00000005' | 'Стеллаж (стандартный)' | 'Стеллаж (стандартный)'   |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Распоряжение на перемещение (создание) *'
	И в таблице "Товары" я активизирую поле с именем "ТоварыКоличествоУпаковок"
	И в таблице "Товары" в поле с именем 'ТоварыКоличествоУпаковок' я ввожу текст '5,000'
	И в таблице "Товары" я активизирую поле с именем "ТоварыКоличество"
	И в таблице "Товары" я завершаю редактирование строки
	И я нажимаю на кнопку с именем 'ФормаПровестиИЗакрыть'
	И я жду закрытия окна 'Распоряжение на перемещение (создание) *' в течение 20 секунд
	Тогда открылось окно 'Распоряжения на перемещение'
	И Я закрываю окно 'Распоряжения на перемещение'

Сценарий: 13_integration. Проверка очереди
	И В командном интерфейсе я выбираю 'Обмен данными ИБ' 'Объекты к выгрузке'
	Тогда открылось окно 'Объекты к выгрузке'
	И я жду, что в таблице "Список" количество строк будет "равно" 2 в течение 20 секунд
	И в таблице "Список" я перехожу к строке по шаблону:
		| 'Объект ИБ'                                      | 'Тип пакета'                           |
		| 'Распоряжение на перемещение 0000-000001 от * *' | 'Документ.к2РаспоряжениеНаПеремещение' |
	И я нажимаю на кнопку с именем 'ФормаКомандаДобавитьВОчередьВсе'
	И я жду, что в таблице "Список" количество строк будет "равно" 0 в течение 20 секунд
	И Я закрываю окно 'Объекты к выгрузке'

Сценарий: 13_integration. Отправка очереди
	И В командном интерфейсе я выбираю 'Обмен данными ИБ' 'Очередь исходящих пакетов'
	Тогда открылось окно 'Очередь исходящих пакетов'
	И я жду, что в таблице "Список" количество строк будет "равно" 2 в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаКомандаОтправитьВсе'
	И я жду, что в таблице "Список" количество строк будет "равно" 0 в течение 20 секунд
	И Я закрываю окно 'Очередь исходящих пакетов'

Сценарий: 13_integration. Проверка получения документа
	И Я подключаю клиент тестирования с параметрами:
		| 'Имя'           | 'Синоним'  | 'Тип клиента' |  'Порт' | 'Строка соединения'                       | 'Логин'                   | 'Пароль' | 'Запускаемая обработка' |  'Дополнительные параметры строки запуска'  |
		| 'ЕРПАдмин'      | 'ЕРПАдмин' | 'Тонкий'      |  '1538' | 'Srvr="srv-dev";Ref="erp_smirnova_test";' | 'Администратор (ОрловАВ)' | ''       | ''                      |  '/UC'                                      |
	И Я закрываю окно 'Подключение Интернет-поддержки'
	И В командном интерфейсе я выбираю 'Обмен данными ИБ' 'Очередь входящих пакетов обмен данными ИБ'
	Тогда открылось окно 'Очередь входящих пакетов обмен данными ИБ'
	И в таблице "Список" я перехожу к строке по шаблону:
		| 'Дата получения'      | 'Дата формирования'   | 'Отправитель' | 'Пакет данных УИД'    | 'Порядок по типу' | 'Представление объекта'              | 'Статус'       | 'Тип отправителя' | 'Тип пакета'                           | 'Хеш объекта ИБ'  |
		| '* *'                 | '* *'                 | 'Е4ф'         | '*'                   | '1 000'           | 'Распоряжение на перемещение * от *' | 'Получен, * *' | 'Е4ф'             | 'Документ.к2РаспоряжениеНаПеремещение' | '*'               |
	И я выбираю пункт контекстного меню с именем 'СписокКонтекстноеМенюУдалить' на элементе формы с именем "Список"
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку с именем 'Button0'
	Тогда открылось окно 'Очередь входящих пакетов обмен данными ИБ'
	И я закрыл все окна клиентского приложения